gtkmm: Gtk::SvgErrorExtra Class Reference

gtkmm 4.23.0

Public Member Functions | List of all members
Gtk::SvgErrorExtra Class Reference

Extra SvgError functions. More...

`#include <gtkmm/svg.h>`

Inheritance diagram for Gtk::SvgErrorExtra:
[legend]

## Public Member Functions
| SvgErrorExtra (GError * gobject)
Glib::ustring | get_element () const
| Returns context information about what XML element the parsing error occurred in.
Glib::ustring | get_attribute () const
| Returns context information about what XML attribute the parsing error occurred in.
const GtkSvgLocation * | get_start () const
| Returns context information about the start position in the document where the parsing error occurred.
const GtkSvgLocation * | get_end () const
| Returns context information about the end position in the document where the parsing error occurred.
Glib::ustring | get_input () const
| Returns a string describing the input source that the parsing error occurred in.
Public Member Functions inherited from Gtk::SvgError
| SvgError (Code error_code, const Glib::ustring & error_message)
| SvgError (GError * gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
const char * | what () const noexcept override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const

## Additional Inherited Members
Public Types inherited from Gtk::SvgError
enum | Code { INVALID_SYNTAX , INVALID_ELEMENT , INVALID_ATTRIBUTE , MISSING_ATTRIBUTE , INVALID_REFERENCE , FAILED_UPDATE , FAILED_RENDERING , IGNORED_ELEMENT , LIMITS_EXCEEDED , NOT_IMPLEMENTED , FEATURE_DISABLED }
| Error codes in the GTK_SVG_ERROR domain for errors that happen during parsing or rendering of SVG. More...
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Extra SvgError functions.

Gtk::SvgErrorExtra provides information not easily reachable directly from Gtk::SvgError.

Since gtkmm 4.22

## Constructor & Destructor Documentation

## ◆ SvgErrorExtra()

Gtk::SvgErrorExtra::SvgErrorExtra | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ get_attribute()

Glib::ustring Gtk::SvgErrorExtra::get_attribute | ( |  | ) | const

Returns context information about what XML attribute the parsing error occurred in.

Since gtkmm 4.22

Returns
  The attribute name.

## ◆ get_element()

Glib::ustring Gtk::SvgErrorExtra::get_element | ( |  | ) | const

Returns context information about what XML element the parsing error occurred in.

Since gtkmm 4.22

Returns
  The element name.

## ◆ get_end()

const GtkSvgLocation * Gtk::SvgErrorExtra::get_end | ( |  | ) | const

Returns context information about the end position in the document where the parsing error occurred.

Since gtkmm 4.22

Returns
  The Gtk::SvgLocation.

## ◆ get_input()

Glib::ustring Gtk::SvgErrorExtra::get_input | ( |  | ) | const

Returns a string describing the input source that the parsing error occurred in.

Since gtkmm 4.24

Returns
  The input source.

## ◆ get_start()

const GtkSvgLocation * Gtk::SvgErrorExtra::get_start | ( |  | ) | const

Returns context information about the start position in the document where the parsing error occurred.

Since gtkmm 4.22

Returns
  The Gtk::SvgLocation.